package vip.xumy.admin.um.mapper;

import java.util.List;

import vip.xumy.admin.um.pojo.Role;
import vip.xumy.core.pojo.com.Entry;

/**	Ownership belongs to the company
 *	author:mengyxu
 *	date:2019年12月3日
 */

public interface IRolePermissionMapper {
	
	List<Role> queryAll();
	List<Role> queryList();
	void insertOne(Role role);
	void insertBatch(List<Role> roles);
	void delete(String roleCode);
	void deleteRolePer(String roleCode);
	void insertRolePer(Role role);
	void update(Role role);
	List<Entry<String, String>> queryRoleMaps();
}
