package vip.xumy.admin.um.pojo;

import java.text.MessageFormat;
import java.util.List;

import lombok.Data;

/**	Ownership belongs to the company
 *	author:mengyxu
 *	date:2019年12月3日
 */

@Data
public class Role {
	
	private String code;
	private String name;
	private String desc;
	private String status;
	
	private List<String> permissions;
	
	private boolean flag;
	
	public String briefInfo() {
		return MessageFormat.format("角色编码:{0},角色名称:{1},备注:{2},权限数量:{3}", code, name, desc, permissions == null ? 0 : permissions.size());
	}

}
