package vip.xumy.admin.um.service;

import java.util.List;

import vip.xumy.admin.um.pojo.Menu;
import vip.xumy.core.pojo.com.Entry;

public interface IMenuService {
	
	/**
	 * 查询所有系统
	 * @param userId 
	 */
	public List<Entry<String, String>> queryAllModule(String userId);
	
	/**
	 * 查询主页菜单树
	 * @param userId 
	 * @return
	 */
	public List<Menu> queryMenuTree(String userId, String perParent);
	
	public List<String> queryNodeContent(String userId, String parentContent);
	
}
