package vip.xumy.admin.um.service;

import java.util.List;

/**	Ownership belongs to the company
 *	author:mengyxu
 *	date:2019年12月2日
 */

public interface IPermissionValidationService {
	
	/**
	 * 根据servletPath查询对应权限编码
	 * @param resContent
	 * @return
	 */
	List<String> queryCodeByContent(String resContent);
	
	/**
	 * 判断指定用户是否拥有指定权限
	 * @param userId
	 * @param resCode
	 * @return
	 */
	boolean havePermission(String userId, String resCode);

}
