-- ----------------------------
-- Records of sys_dictionary
-- ----------------------------
INSERT INTO `sys_dictionary` VALUES (NULL, 'action', '按钮', '控制按钮显示及接口访问权限', 'per_level', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'group', '菜单组', '控制主页菜单组权限', 'per_level', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'view', '页面', '页面', 'per_level', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '0', '登录', '登录', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '1', '退出登录', '退出登录', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '2', '修改密码', '修改密码', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '3', '添加用户', '添加用户', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '4', '修改用户', '修改用户', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '5', '删除用户', '删除用户', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '6', '重置用户密码', '重置用户密码', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'E', '可读写', '可读可写', 'role_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'R', '只读', '只可读不可写', 'role_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'H', '隐藏', '页面隐藏不显示', 'role_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'A', '启用', '启用', 'active_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'I', '禁用', '禁用', 'active_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'H', '专用', '专用', 'active_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '0', '正常', '正常', 'base_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '1', '异常', '异常', 'base_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '0', '初始', '初始', 'user_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'H', '隐藏', '隐藏', 'user_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '1', '是', '是', 'boolean', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '0', '否', '否', 'boolean', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '1', '正常', '正常', 'user_status', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '0', '异常', '异常', 'common_staus', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '1', '正常', '正常', 'common_staus', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '0', '权限日志', '登录、用户角色管理', 'log_module', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '1', '业务日志', '业务日志', 'log_module', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '7', '添加角色', '添加角色', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '8', '修改角色', '修改角色', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, '9', '删除角色', '删除角色', 'log_type', 'A');
INSERT INTO `sys_dictionary` VALUES (NULL, 'R', '只读', '只读', 'user_status', 'A');

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES ('active_status', '启用状态', '启用状态', 'A');
INSERT INTO `sys_dict_type` VALUES ('base_status', '通用状态', '通用状态(0正常)', 'A');
INSERT INTO `sys_dict_type` VALUES ('boolean', '是否', '是否', 'A');
INSERT INTO `sys_dict_type` VALUES ('common_staus', '通用状态', '通用状态(0异常)', 'A');
INSERT INTO `sys_dict_type` VALUES ('log_module', '日志模块', '日志模块', 'A');
INSERT INTO `sys_dict_type` VALUES ('log_type', '日志类型', '日志类型', 'A');
INSERT INTO `sys_dict_type` VALUES ('per_level', '权限级别', '权限级别', 'A');
INSERT INTO `sys_dict_type` VALUES ('role_status', '角色状态', '角色状态', 'A');
INSERT INTO `sys_dict_type` VALUES ('user_status', '系统用户状态', '系统用户状态', 'A');

-- ----------------------------
-- Records of um_permission_full
-- ----------------------------
INSERT INTO `um_permission_full` VALUES ('admin_dictionary', '数据字典', 'el-icon-collection', 'operater_manage', 'view', 'dictionary', 'A', '2');
INSERT INTO `um_permission_full` VALUES ('admin_permission', '权限管理', 'el-icon-unlock', 'operater_manage', 'view', 'permission', 'A', '1');
INSERT INTO `um_permission_full` VALUES ('admin_role', '角色管理', 'el-icon-user', 'system_setting', 'view', 'role', 'A', '3');
INSERT INTO `um_permission_full` VALUES ('admin_user', '用户管理', 'el-icon-user-solid', 'system_setting', 'view', 'user', 'A', '2');
INSERT INTO `um_permission_full` VALUES ('dict_delete', '删除字典', '', 'admin_dictionary', 'action', 'admin/dict/delete', 'A', null);
INSERT INTO `um_permission_full` VALUES ('dict_list', '数据字典查询', '', 'admin_dictionary', 'action', 'admin/dict/list', 'A', null);
INSERT INTO `um_permission_full` VALUES ('dict_save', '新增字典', '', 'admin_dictionary', 'action', 'admin/dict/save', 'A', null);
INSERT INTO `um_permission_full` VALUES ('dict_update', '修改字典', '', 'admin_dictionary', 'action', 'admin/dict/update', 'A', null);
INSERT INTO `um_permission_full` VALUES ('operater_buffer', '缓存管理', 'el-icon-warning', 'operater_manage', 'view', 'buffer', 'A', '3');
INSERT INTO `um_permission_full` VALUES ('operater_manage', '运维管理', 'el-icon-s-platform', null, 'group', null, 'H', null);
INSERT INTO `um_permission_full` VALUES ('operater_status', '状态控制', 'el-icon-setting', 'operater_manage', 'view', 'status', 'A', '4');
INSERT INTO `um_permission_full` VALUES ('oper_buffer_clean', '清空失效缓存', '', 'operater_buffer', 'action', 'admin/memory/buffer/clean', 'A', null);
INSERT INTO `um_permission_full` VALUES ('oper_buffer_delay', '修改缓存失效时间', '', 'operater_buffer', 'action', 'admin/memory/buffer/delay', 'A', null);
INSERT INTO `um_permission_full` VALUES ('oper_buffer_delete', '删除缓存', '', 'operater_buffer', 'action', 'admin/memory/buffer/delete', 'A', null);
INSERT INTO `um_permission_full` VALUES ('oper_buffer_list', '缓存列表', '', 'operater_buffer', 'action', 'admin/memory/buffer/list', 'A', null);
INSERT INTO `um_permission_full` VALUES ('per_delete', '删除权限', '', 'admin_permission', 'action', 'admin/per/delete', 'A', null);
INSERT INTO `um_permission_full` VALUES ('per_list', '权限查询', '', 'admin_permission', 'action', 'admin/per/list', 'A', null);
INSERT INTO `um_permission_full` VALUES ('per_save', '添加权限', '', 'admin_permission', 'action', 'admin/per/save', 'A', null);
INSERT INTO `um_permission_full` VALUES ('per_update', '修改权限', '', 'admin_permission', 'action', 'admin/per/update', 'A', null);
INSERT INTO `um_permission_full` VALUES ('role_delete', '删除角色', '', 'admin_role', 'action', 'admin/role/delete', 'A', null);
INSERT INTO `um_permission_full` VALUES ('role_list', '角色查询', '', 'admin_role', 'action', 'admin/role/list', 'A', null);
INSERT INTO `um_permission_full` VALUES ('role_save', '新增角色', '', 'admin_role', 'action', 'admin/role/save', 'A', null);
INSERT INTO `um_permission_full` VALUES ('role_update', '更新角色及其权限', '', 'admin_role', 'action', 'admin/role/update', 'A', null);
INSERT INTO `um_permission_full` VALUES ('status_role_list', '角色状态查询', '', 'operater_status', 'action', 'admin/role/list/all', 'A', null);
INSERT INTO `um_permission_full` VALUES ('status_role_update', '角色状态修改', '', 'operater_status', 'action', 'admin/role/update', 'A', null);
INSERT INTO `um_permission_full` VALUES ('status_user_list', '用户状态查询', '', 'operater_status', 'action', 'admin/user/list/all', 'A', null);
INSERT INTO `um_permission_full` VALUES ('status_user_update', '用户状态修改', '', 'operater_status', 'action', 'admin/user/update', 'A', null);
INSERT INTO `um_permission_full` VALUES ('system_log', '日志查询', null, 'system_setting', 'view', 'system_log', 'A', '4');
INSERT INTO `um_permission_full` VALUES ('system_log_list', '查询日志列表', null, 'system_log', 'action', 'admin/log/action', 'A', null);
INSERT INTO `um_permission_full` VALUES ('system_setting', '权限控制', 'el-icon-s-tools', null, 'group', null, 'A', '8');
INSERT INTO `um_permission_full` VALUES ('user_delete', '删除用户', '', 'admin_user', 'action', 'admin/user/delete', 'A', null);
INSERT INTO `um_permission_full` VALUES ('user_list', '用户查询', '', 'admin_user', 'action', 'admin/user/list', 'A', null);
INSERT INTO `um_permission_full` VALUES ('user_reset', '重置密码', '', 'admin_user', 'action', 'admin/user/reset', 'A', null);
INSERT INTO `um_permission_full` VALUES ('user_save', '添加用户', '', 'admin_user', 'action', 'admin/user/save', 'A', null);
INSERT INTO `um_permission_full` VALUES ('user_update', '修改用户', '', 'admin_user', 'action', 'admin/user/update', 'A', null);

-- ----------------------------
-- Records of um_role_full
-- ----------------------------
INSERT INTO `um_role_full` VALUES ('admin', '超级管理员', '拥有系统最高权限，默认不可更改', 'R');
INSERT INTO `um_role_full` VALUES ('operator', '系统运维', '负责系统维护工作，默认不可更改', 'H');

-- ----------------------------
-- Records of um_role_permission
-- ----------------------------
INSERT INTO `um_role_permission` VALUES ('admin', 'admin_role');
INSERT INTO `um_role_permission` VALUES ('admin', 'admin_user');
INSERT INTO `um_role_permission` VALUES ('admin', 'role_delete');
INSERT INTO `um_role_permission` VALUES ('admin', 'role_list');
INSERT INTO `um_role_permission` VALUES ('admin', 'role_save');
INSERT INTO `um_role_permission` VALUES ('admin', 'role_update');
INSERT INTO `um_role_permission` VALUES ('admin', 'system_log');
INSERT INTO `um_role_permission` VALUES ('admin', 'system_log_list');
INSERT INTO `um_role_permission` VALUES ('admin', 'system_setting');
INSERT INTO `um_role_permission` VALUES ('admin', 'user_delete');
INSERT INTO `um_role_permission` VALUES ('admin', 'user_list');
INSERT INTO `um_role_permission` VALUES ('admin', 'user_reset');
INSERT INTO `um_role_permission` VALUES ('admin', 'user_save');
INSERT INTO `um_role_permission` VALUES ('admin', 'user_update');
INSERT INTO `um_role_permission` VALUES ('operator', 'admin_dictionary');
INSERT INTO `um_role_permission` VALUES ('operator', 'admin_permission');
INSERT INTO `um_role_permission` VALUES ('operator', 'dict_delete');
INSERT INTO `um_role_permission` VALUES ('operator', 'dict_list');
INSERT INTO `um_role_permission` VALUES ('operator', 'dict_save');
INSERT INTO `um_role_permission` VALUES ('operator', 'dict_update');
INSERT INTO `um_role_permission` VALUES ('operator', 'operater_buffer');
INSERT INTO `um_role_permission` VALUES ('operator', 'operater_manage');
INSERT INTO `um_role_permission` VALUES ('operator', 'operater_status');
INSERT INTO `um_role_permission` VALUES ('operator', 'oper_buffer_clean');
INSERT INTO `um_role_permission` VALUES ('operator', 'oper_buffer_delay');
INSERT INTO `um_role_permission` VALUES ('operator', 'oper_buffer_delete');
INSERT INTO `um_role_permission` VALUES ('operator', 'oper_buffer_list');
INSERT INTO `um_role_permission` VALUES ('operator', 'per_delete');
INSERT INTO `um_role_permission` VALUES ('operator', 'per_list');
INSERT INTO `um_role_permission` VALUES ('operator', 'per_save');
INSERT INTO `um_role_permission` VALUES ('operator', 'per_update');
INSERT INTO `um_role_permission` VALUES ('operator', 'status_role_list');
INSERT INTO `um_role_permission` VALUES ('operator', 'status_role_update');
INSERT INTO `um_role_permission` VALUES ('operator', 'status_user_list');
INSERT INTO `um_role_permission` VALUES ('operator', 'status_user_update');

-- ----------------------------
-- Records of um_user
-- ----------------------------
INSERT INTO `um_user` VALUES ('admin', 'e10adc3949ba59abbe56e057f20f883e', '超级管理员', '13333333333', null, null, '2021-07-09 16:56:10', 'R');
INSERT INTO `um_user` VALUES ('operator', 'e10adc3949ba59abbe56e057f20f883e', '运维管理员', '13333333334', null, null, '2021-07-09 16:50:04', 'H');

-- ----------------------------
-- Records of um_user_role
-- ----------------------------
INSERT INTO `um_user_role` VALUES ('admin', 'admin');
INSERT INTO `um_user_role` VALUES ('operator', 'operator');
