package vip.xumy.admin.sys.pojo;

import java.text.MessageFormat;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Getter;
import lombok.Setter;
import vip.xumy.core.pojo.base.BasePageParam;

@Setter
@Getter
public class SysConfig extends BasePageParam{
	
	private String cfgKey;
	private String cfgName;
	private String cfgValue;
	private String cfgType;
	private String cfgDesc;
	private String cfgStatus;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JSONField(format="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	private String updateUser;
	
	public String briefInfo() {
		return MessageFormat.format("参数名:{0},参数值:{1}", cfgName, cfgValue);
	}

}
