package vip.xumy.admin.sys.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import vip.xumy.admin.sys.mapper.IUserItemMapper;
import vip.xumy.admin.sys.pojo.UserItem;

/**
 * @author:mengyxu
 * @date:2020年3月17日
 */

@Service
public class UserItemService {
	@Autowired
	private IUserItemMapper itemMapper;

	
	public List<UserItem> queryByExample(UserItem example) {
		return itemMapper.queryByExample(example);
	}

	
	public void save(UserItem item) {
		itemMapper.insert(item);
	}

	
	public void save(List<UserItem> items) {
		itemMapper.insertBatch(items);
	}

	
	public void read(Integer id) {
		UserItem item = new UserItem();
		item.setId(id);
		item.setStatus(1);
		itemMapper.update(item);
	}

	
	public void dealWith(Integer id) {
		UserItem item = new UserItem();
		item.setId(id);
		item.setStatus(2);
		itemMapper.update(item);
	}

}
