package vip.xumy.admin.um.service;

import java.util.List;

import vip.xumy.admin.um.pojo.User;
import vip.xumy.core.exception.CoreException;

/**	Ownership belongs to the company
 *	author:mengyxu
 *	date:2019年5月10日
 */

public interface IUserService {

	User findUser(String userId, String key);
	User getById(String userId);
	List<User> queryByExample(User example);
	List<User> queryAll();
	
	void insert(User user) throws CoreException;
	void updateInfo(User user) throws CoreException;
	void updateKey(User user) throws CoreException;
	void deleteById(String userId);
	void updateLogin(String userId);
	void resetKey(String userId);

}
