import Vue from 'vue'
import './static/plugins/axios'
import App from './views/main/App.vue'
import './static/plugins/element'
import router from './router'
import store from './store'

Vue.config.productionTip = false

const vue = new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
export default vue
